Replenishment of the user's advance balance
The method allows you to top up the user's advance balance (check the availability of the method in support)
Request:
Parameter
Required
Type
Description
userId
Yes
String
User ID
advancedBalanceId
Yes
String
Advanced balance ID
amount
Yes
String
The amount of replenishment. The number must contain no more than two decimal places (i.e. '5.25' is suitable, but '5.529' is not)
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request for replenishment of the advance balance
userIdstringRequiredExample:
User ID
ff72f744-beda-4cc4-8b44-2b3deb584f99organizationIdstringRequiredExample:
Organization ID
2a06421c-edae-4df1-9851-17d6479449e2advancedBalanceIdstringRequiredExample:
ID of the advance balance
6a659877-63e5-4b17-8b34-fd81f42458cdamountstringRequiredExample:
The amount for which the balance is replenished
4.87Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/partner/api/top-up-advanced-balance
POST /partner/api/top-up-advanced-balance HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 180
{
"userId": "ff72f744-beda-4cc4-8b44-2b3deb584f99",
"organizationId": "2a06421c-edae-4df1-9851-17d6479449e2",
"advancedBalanceId": "6a659877-63e5-4b17-8b34-fd81f42458cd",
"amount": "4.87"
}200Success
{
"success": true,
"response": {
"advancedBalanceId": "6a659877-63e5-4b17-8b34-fd81f42458cd",
"currency": "USD",
"blocked": true,
"blockReason": null,
"balance": "12",
"availableCurrenciesForDeposit": [
"USDT"
]
}
}Last updated